<?php

namespace app\admin\controller\content;

use app\controller\Curd;
use app\model\Content;
use support\Request;
use support\Response;

class SubjectController extends Curd
{
    public function __construct()
    {
        $this->model = new Content();
    }

    public function select(Request $request): Response
    {
        [$where, $format, $limit, $field, $order] = $this->selectInput($request);
        $where['content_category'] = 'SUBJECT';
        $this->model = $this->model->with('user');
        $query = $this->doSelect($where, $field, $order);
        return $this->doFormat($query, $format, $limit);
    }
}